Public Member Functions | List of all members
clan::LineRay2 Class Reference
clanCore Math

2D line ray - Integer More...

`#include <line_ray.h>`

Inheritance diagram for clan::LineRay2:

## Public Member Functions
| LineRay2 ()
| LineRay2 (const LineRay2x< int > &copy)
| LineRay2 (const Vec2< int > &point_p, const Vec2< int > &direction_v)
Public Member Functions inherited from clan::LineRay2x< int >
| LineRay2x ()
| LineRay2x (const LineRay2x< int > &copy)
| LineRay2x (const Vec2< int > &point_p, const Vec2< int > &direction_v)
LineRay2x< int > & | operator= (const LineRay2x< int > &copy)
| = operator. More...
bool | operator== (const LineRay2x< int > &line) const
| == operator. More...
bool | operator!= (const LineRay2x< int > &line) const
| != operator. More...

## Additional Inherited Members
Public Attributes inherited from clan::LineRay2x< int >
Vec2< int > | p
| Start point on the line ray. More...
Vec2< int > | v

## Detailed Description

2D line ray - Integer

A ray has a start point and a direction

The documentation for this class was generated from the following file:

- line_ray.h